<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <s:div id="globalDiv">
                <h1>#{messages['gazelle.ordermanager.ManageDICOMWorklist']}</h1>
                <s:decorate template="/layout/panels/_panel.xhtml"
                            rendered="#{not empty dicomWorklistManager.errorMessages}">
                    <ui:param name="bodyStyleClass" value="bg-danger"/>
                    <a4j:repeat value="#{dicomWorklistManager.errorMessages}" var="msg">
                        <h:outputText value="#{msg}"/>
                        <br/>
                    </a4j:repeat>
                </s:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.Preferences']}</ui:define>
                    <dl class="dl-horizontal">
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.WlmscpfsHost']}</ui:define>
                            <h:outputText value="#{dicomWorklistManager.remoteHost}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.WlmscpfsListeningPort']}
                            </ui:define>
                            <h:outputText value="#{dicomWorklistManager.remotePort}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.OrderManagerIPAddress']}
                            </ui:define>
                            <h:outputText value="#{applicationConfiguration.getValueOfVariable('dicom_proxy_ip')}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.OrderManagerListeningPort']}
                            </ui:define>
                            <h:outputText value="#{dicomWorklistManager.proxyPort}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.DirectoryToStoreDICOMMessages']}
                            </ui:define>
                            <h:outputText value="#{dicomWorklistManager.dataSetDirectory}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.DirectoryToReadWorklists']}
                            </ui:define>
                            <h:outputText value="#{dicomWorklistManager.worklistsBasedir}"/>
                        </s:decorate>
                    </dl>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title_footer_id.xhtml">
                    <ui:param name="panel_id" value="statusPanel"/>
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.Statuses']}</ui:define>
                    <div class="row">
                        <s:div styleClass="col-lg-6 form-group">
                            <label class="col-sm-4 control-label">
                                <h:outputText value="#{messages['gazelle.ordermanager.Wlmscpfs']}"/>
                            </label>
                            <s:div rendered="#{dicomWorklistManager.wlmscpfsStarted}"
                                   styleClass="col-sm-5">
                                <h:outputText value="#{messages['gazelle.ordermanager.STARTED']}"
                                              styleClass="gzl-label gzl-label-green"/>
                                <gdk:spacer width="20px"/>
                                <a4j:commandLink title="#{messages['gazelle.ordermanager.Stop']}"
                                                 actionListener="#{dicomWorklistManager.stopWlmscpfs()}"
                                                 render="statusPanel">
                                    <s:span styleClass="gzl-icon-stop"/>
                                </a4j:commandLink>
                            </s:div>
                            <s:div rendered="#{not dicomWorklistManager.wlmscpfsStarted}"
                                   styleClass="col-sm-6">
                                <h:outputText value="#{messages['gazelle.ordermanager.STOPPED']}"
                                              styleClass="gzl-label gzl-label-red"/>
                                <gdk:spacer width="20px"/>
                                <a4j:commandLink title="#{messages['gazelle.ordermanager.Start']}"
                                                 actionListener="#{dicomWorklistManager.startWlmscpfs(true)}"
                                                 render="statusPanel">
                                    <s:span styleClass="gzl-icon-play"/>
                                </a4j:commandLink>
                            </s:div>
                        </s:div>
                        <div class="col-lg-6"></div>
                    </div>
                    <div class="row">
                        <s:div styleClass="col-lg-6 form-group">
                            <label class="col-sm-4 control-label">
                                <h:outputText value="#{messages['gazelle.ordermanager.DICOMProxy']}"/>
                            </label>
                            <s:div rendered="#{dicomWorklistManager.proxyStarted}" styleClass="col-sm-6">
                                <h:outputText value="#{messages['gazelle.ordermanager.STARTED']}"
                                              styleClass="gzl-label gzl-label-green"/>
                                <gdk:spacer width="20px"/>
                                <a4j:commandLink title="#{messages['gazelle.ordermanager.Stop']}"
                                                 actionListener="#{dicomWorklistManager.stopProxyChannel()}"
                                                 render="statusPanel">
                                    <s:span styleClass="gzl-icon-stop"/>
                                </a4j:commandLink>
                            </s:div>
                            <s:div rendered="#{not dicomWorklistManager.proxyStarted}"
                                   styleClass="col-sm-6">
                                <h:outputText value="#{messages['gazelle.ordermanager.STOPPED']}"
                                              styleClass="gzl-label gzl-label-red"/>
                                <gdk:spacer width="20px"/>
                                <a4j:commandLink title="#{messages['gazelle.ordermanager.Start']}"
                                                 actionListener="#{dicomWorklistManager.startProxyChannel()}"
                                                 render="statusPanel">
                                    <s:span styleClass="gzl-icon-play"/>
                                </a4j:commandLink>
                            </s:div>
                        </s:div>
                        <div class="col-lg-6"></div>
                    </div>
                    <ui:define name="panel_footer">
                        <a4j:commandButton value="#{messages['gazelle.ordermanager.RestartWorklist']}"
                                           actionListener="#{dicomWorklistManager.restartService()}"
                                           render="statusPanel" styleClass="gzl-btn-orange"/>
                    </ui:define>
                </ui:decorate>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
